Log out
curl --request POST \
--url https://api.next.orenda.finance/v1/auth/logout \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-program-id: <x-program-id>' \
--data '
{
"access_token": "eyJhbGciOi...JWT...access...redacted"
}
'import requests
url = "https://api.next.orenda.finance/v1/auth/logout"
payload = { "access_token": "eyJhbGciOi...JWT...access...redacted" }
headers = {
"x-program-id": "<x-program-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-program-id': '<x-program-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({access_token: 'eyJhbGciOi...JWT...access...redacted'})
};
fetch('https://api.next.orenda.finance/v1/auth/logout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": null
}{
"success": false,
"code": "INVALID_CREDENTIALS",
"message": "<string>",
"retryable": true
}Sessions
Log out
Ends the session and revokes the access token.
POST
/
v1
/
auth
/
logout
Log out
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Identifies the program. Can also be sent as the programId query parameter.
Body
application/json
⌘I